import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnLabelRef } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 10:40
 */
interface CnLabelRefCU extends ConditionUtil<CnLabelRefCU> {
    ID: FieldUtil<CnLabelRefCU>;
    LABEL_ID: FieldUtil<CnLabelRefCU>;
    BUSSINESS_ID: FieldUtil<CnLabelRefCU>;
    DELETED: FieldUtil<CnLabelRefCU>;
    CREATE_USER_ID: FieldUtil<CnLabelRefCU>;
    CREATE_TIME: FieldUtil<CnLabelRefCU>;
}
declare class CnLabelRefMU extends TableUtilImpl<CnLabelRefCU, CnLabelRef> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnLabelRefCU;
    static get ID(): FieldUtil<CnLabelRefCU>;
    static get LABEL_ID(): FieldUtil<CnLabelRefCU>;
    static get BUSSINESS_ID(): FieldUtil<CnLabelRefCU>;
    static get DELETED(): FieldUtil<CnLabelRefCU>;
    static get CREATE_USER_ID(): FieldUtil<CnLabelRefCU>;
    static get CREATE_TIME(): FieldUtil<CnLabelRefCU>;
    get ID(): FieldUtil<CnLabelRefCU>;
    get LABEL_ID(): FieldUtil<CnLabelRefCU>;
    get BUSSINESS_ID(): FieldUtil<CnLabelRefCU>;
    get DELETED(): FieldUtil<CnLabelRefCU>;
    get CREATE_USER_ID(): FieldUtil<CnLabelRefCU>;
    get CREATE_TIME(): FieldUtil<CnLabelRefCU>;
}
export { CnLabelRefMU, CnLabelRefCU };
